using System;
using System.Net;

internal sealed class Delegate706 : MulticastDelegate
{
	public extern void Invoke(object object_0, ICredentials icredentials_0);

	public static void smethod_0(object object_0, ICredentials icredentials_0, Delegate706 delegate706_1)
	{
		delegate706_1(object_0, icredentials_0);
	}

	public extern Delegate706(object object_0, IntPtr intptr_0);

	static Delegate706()
	{
		Class10.smethod_13(typeof(Delegate706).TypeHandle);
	}

	internal static Delegate706 delegate706_0;
}
